"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
// https://jestjs.io/docs/en/configuration#reporters-array-modulename-modulename-options
class BabelTimingReporter {
    constructor(globalConfig, { output = 'console', ...otherOptions }) {
        this._options = { output, ...otherOptions };
    }
    onRunComplete() {
        const results = index_1.timersCollection
            .getAll()
            .map((timer) => timer.getResults());
        index_1.timersCollection.clear();
        // Render output after Jest's pending async operations check
        // @TODO Find a more elegant way of dealing with async operations check
        if (this._options.output === 'console') {
            setTimeout(() => {
                index_1.render(results, this._options);
            }, 1500);
        }
        else {
            index_1.render(results, this._options);
        }
    }
    onRunStart() { }
    getLastError() { }
}
exports.default = BabelTimingReporter;
