"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const babel_jest_1 = __importDefault(require("babel-jest"));
const index_1 = require("../index");
// Keep track of the file currently being transpiled in current module scope :-(
let currentFile;
// https://jestjs.io/docs/en/tutorial-react#custom-transformers
function createTransformer() {
    const babelJestTransformer = babel_jest_1.default.createTransformer({
        wrapPluginVisitorMethod: (...args) => {
            const visitorWrapper = index_1.timersCollection.getTimer(currentFile)
                .wrapPluginVisitorMethod;
            if (visitorWrapper) {
                return visitorWrapper(...args);
            }
            return visitorWrapper;
        },
    });
    return {
        ...babelJestTransformer,
        process: (...args) => {
            currentFile = args[1];
            return babelJestTransformer.process(...args);
        },
    };
}
exports.default = createTransformer();
