"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Timer_1 = __importDefault(require("../../Timer"));
const utils_1 = require("../../utils");
function aggregateByPlugins(resultByFile) {
    const results = [];
    const pluginsMap = new Map();
    // Extract "results.plugins" entries and group them by plugin name
    resultByFile.forEach((fileResult) => {
        const fileName = fileResult.name;
        fileResult.plugins.forEach((plugin) => {
            const pluginName = plugin.name;
            if (!pluginsMap.has(pluginName)) {
                pluginsMap.set(pluginName, []);
            }
            // replace plugin name with file name
            pluginsMap.get(pluginName).push({
                ...plugin,
                name: fileName,
            });
        });
    });
    pluginsMap.forEach((files, pluginName) => {
        results.push({
            name: pluginName,
            time: Timer_1.default.getTotalTime(files),
            files: files.sort(utils_1.sortByProperty('time')),
        });
    });
    return results;
}
exports.default = aggregateByPlugins;
