export default class Pagination<Item> {
    items: Item[][];
    itemsPerPage: number;
    pagedItems: Item[][][];
    currentPage: number;
    constructor({ items, itemsPerPage, }: {
        items: Item[][];
        itemsPerPage: number;
    });
    getCurrentPage(): number;
    getTotalPages(): number;
    getTotalEntriesInPage(pageNumber: number): number;
    countItemsInPage(pageNumber: number): number;
    countItemsInCurrentPage(): number;
    getCurrentItems(): Item[][];
    getInfo(): string;
    hasPreviousPage(): boolean;
    hasNextPage(): boolean;
    previousPage(): void;
    nextPage(): void;
    goToItemPage(itemIndex?: number): void;
}
