"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const cliRenderer_1 = __importDefault(require("./cliRenderer"));
const index_1 = __importDefault(require("./aggregateByPlugins/index"));
const joinFileResultsFromSameModule_1 = __importDefault(require("./joinFileResultsFromSameModule"));
const utils_1 = require("../utils");
function render(results = [], options) {
    const { expandPackages, output = 'return', outputPath = './babel-timing-results.json', aggregateBy = 'files', paginationSize = 10, } = options || {};
    if (!expandPackages) {
        results = joinFileResultsFromSameModule_1.default(results);
    }
    let sortedResults = [...results];
    if (aggregateBy === 'plugins') {
        sortedResults = index_1.default(results);
    }
    sortedResults = sortedResults.sort(utils_1.sortByProperty('time'));
    switch (output) {
        case 'return': {
            return sortedResults;
        }
        case 'console': {
            cliRenderer_1.default(sortedResults, { paginationSize });
            return;
        }
        case 'json': {
            fs_1.default.writeFileSync(outputPath, JSON.stringify(sortedResults));
            return;
        }
    }
}
exports.default = render;
