"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTimer = exports.clear = exports.getAll = void 0;
const Timer_1 = __importDefault(require("./Timer"));
let timers = new Map();
function getAll() {
    return [...timers.entries()].map((entry) => entry[1]);
}
exports.getAll = getAll;
function clear() {
    timers = new Map();
}
exports.clear = clear;
function getTimer(file) {
    const timer = timers.get(file);
    if (timer) {
        return timer;
    }
    else {
        const newTimer = new Timer_1.default(file);
        timers.set(file, newTimer);
        return newTimer;
    }
}
exports.getTimer = getTimer;
