"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.valueInRange = exports.sortByProperty = exports.onlyUnique = exports.globPatternsToPaths = void 0;
const glob_1 = __importDefault(require("glob"));
const fs_1 = require("fs");
function globPatternsToPaths(patterns) {
    const paths = [];
    patterns.forEach((pattern) => {
        if (glob_1.default.hasMagic(pattern)) {
            paths.push(...glob_1.default.sync(pattern));
        }
        else if (fs_1.existsSync(pattern)) {
            paths.push(pattern);
        }
    });
    return paths;
}
exports.globPatternsToPaths = globPatternsToPaths;
function onlyUnique(value, index, self) {
    return self.indexOf(value) === index;
}
exports.onlyUnique = onlyUnique;
function sortByProperty(prop) {
    return (a, b) => {
        if (a[prop] < b[prop])
            return 1;
        if (a[prop] > b[prop])
            return -1;
        return 0;
    };
}
exports.sortByProperty = sortByProperty;
function valueInRange(value, { min = -Infinity, max = Infinity } = {}) {
    if (value > max)
        return max;
    if (value < min)
        return min;
    return value;
}
exports.valueInRange = valueInRange;
