"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
// https://github.com/babel/babel-loader#customized-loader
function babelLoaderCustomize() {
    return {
        config(cfg) {
            const { filename } = cfg.options;
            if (filename) {
                const timer = index_1.timersCollection.getTimer(filename);
                return {
                    ...cfg.options,
                    wrapPluginVisitorMethod: timer.wrapPluginVisitorMethod,
                };
            }
            return cfg;
        },
    };
}
exports.default = babelLoaderCustomize;
