"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
// https://webpack.js.org/api/plugins/
class BabelTimingPlugin {
    constructor({ output = 'console', ...otherOptions }) {
        this._options = {
            output,
            ...otherOptions,
        };
    }
    apply(compiler) {
        compiler.hooks.done.tap('Babel timing Plugin', (stats) => {
            const results = index_1.timersCollection
                .getAll()
                .map((timer) => timer.getResults());
            index_1.timersCollection.clear();
            if (this._options.output === 'console') {
                setImmediate(() => {
                    index_1.render(results, this._options);
                });
            }
            else {
                index_1.render(results, this._options);
            }
        });
    }
}
exports.default = BabelTimingPlugin;
